org.apache.felix.connect

## Class PojoSR

- java.lang.Object
- - org.apache.felix.connect.PojoSR

All Implemented Interfaces:
  PojoServiceRegistry

    public class PojoSR
    extends Object
    implements PojoServiceRegistry

### Constructor Summary

Constructors
Constructor and Description
`PojoSR(Map<String,?> config)`
`PojoSR(Map<String,?> config, BundleDescriptor systemBundle)`

### Method Summary

Methods
`void` `addServiceListener(org.osgi.framework.ServiceListener listener)`
`void` `addServiceListener(org.osgi.framework.ServiceListener listener, String filter)`
`static BundleDescriptor` `createSystemBundle()`
`org.osgi.framework.BundleContext` `getBundleContext()`
`<S> S` `getService(org.osgi.framework.ServiceReference<S> reference)`
`org.osgi.framework.ServiceReference<?>` `getServiceReference(String clazz)`
`org.osgi.framework.ServiceReference<?>[]` `getServiceReferences(String clazz, String filter)`
`static void` `main(String[] args)`
`org.osgi.framework.ServiceRegistration<?>` `registerService(String[] clazzes, Object service, Dictionary<String,?> properties)`
`org.osgi.framework.ServiceRegistration<?>` `registerService(String clazz, Object service, Dictionary<String,?> properties)`
`void` `removeServiceListener(org.osgi.framework.ServiceListener listener)`
`void` `startBundles(Collection<BundleDescriptor> scan)`
`boolean` `ungetService(org.osgi.framework.ServiceReference<?> reference)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoSR

    public PojoSR(Map<String,?> config)
           throws Exception

Throws:
  `Exception`

#### PojoSR

    public PojoSR(Map<String,?> config,
          BundleDescriptor systemBundle)
           throws Exception

Throws:
  `Exception`

### Method Detail

#### createSystemBundle

    public static BundleDescriptor createSystemBundle()

#### startBundles

    public void startBundles(Collection<BundleDescriptor> scan)
                      throws Exception

Specified by:
  `startBundles` in interface `PojoServiceRegistry`
Throws:
  `Exception`

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`

#### getBundleContext

    public org.osgi.framework.BundleContext getBundleContext()

Specified by:
  `getBundleContext` in interface `PojoServiceRegistry`

#### addServiceListener

    public void addServiceListener(org.osgi.framework.ServiceListener listener,
                          String filter)
                            throws org.osgi.framework.InvalidSyntaxException

Specified by:
  `addServiceListener` in interface `PojoServiceRegistry`
Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### addServiceListener

    public void addServiceListener(org.osgi.framework.ServiceListener listener)

Specified by:
  `addServiceListener` in interface `PojoServiceRegistry`

#### removeServiceListener

    public void removeServiceListener(org.osgi.framework.ServiceListener listener)

Specified by:
  `removeServiceListener` in interface `PojoServiceRegistry`

#### registerService

    public org.osgi.framework.ServiceRegistration<?> registerService(String[] clazzes,
                                                            Object service,
                                                            Dictionary<String,?> properties)

Specified by:
  `registerService` in interface `PojoServiceRegistry`

#### registerService

    public org.osgi.framework.ServiceRegistration<?> registerService(String clazz,
                                                            Object service,
                                                            Dictionary<String,?> properties)

Specified by:
  `registerService` in interface `PojoServiceRegistry`

#### getServiceReferences

    public org.osgi.framework.ServiceReference<?>[] getServiceReferences(String clazz,
                                                                String filter)
                                                                  throws org.osgi.framework.InvalidSyntaxException

Specified by:
  `getServiceReferences` in interface `PojoServiceRegistry`
Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### getServiceReference

    public org.osgi.framework.ServiceReference<?> getServiceReference(String clazz)

Specified by:
  `getServiceReference` in interface `PojoServiceRegistry`

#### getService

    public <S> S getService(org.osgi.framework.ServiceReference<S> reference)

Specified by:
  `getService` in interface `PojoServiceRegistry`

#### ungetService

    public boolean ungetService(org.osgi.framework.ServiceReference<?> reference)

Specified by:
  `ungetService` in interface `PojoServiceRegistry`